# Uses of Enum Class
org.apache.sysds.lops.BinaryM.VectorType

Packages that use BinaryM.VectorType
Package
Description
org.apache.sysds.lops
org.apache.sysds.runtime.instructions.spark.functions

## Uses of BinaryM.VectorType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return BinaryM.VectorType
Modifier and Type
Method
Description
`static BinaryM.VectorType`
BinaryM.VectorType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BinaryM.VectorType[]`
BinaryM.VectorType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of BinaryM.VectorType in org.apache.sysds.runtime.instructions.spark.functions

Constructors in org.apache.sysds.runtime.instructions.spark.functions with parameters of type BinaryM.VectorType
Modifier
Constructor
Description
``
`MatrixVectorBinaryOpPartitionFunction(BinaryOperator op, PartitionedBroadcast<MatrixBlock> binput, BinaryM.VectorType vtype)`